std::__is_location_invariant< _Tp > Struct Template Reference

Inherits type< _Tp >.

Inherited by std::__is_location_invariant< _Simple_type_wrapper< _Tp > >.

## Detailed Description

### template<typename _Tp>
struct std::__is_location_invariant< _Tp >

Trait identifying "location-invariant" types, meaning that the address of the object (or any of its members) will not escape. Trivially copyable types are location-invariant and users can specialize this trait for other types.

Definition at line 90 of file std_function.h.

The documentation for this struct was generated from the following file:

- std_function.h